curl --request GET \
--url https://api.dimedove.com/v1/apps/{app_id}/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dimedove.com/v1/apps/{app_id}/conversations/{conversation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dimedove.com/v1/apps/{app_id}/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": 123,
"object": "conversation",
"external_user_id": "<string>",
"title": "<string>",
"generated_title": {
"en-ca": "<generated title in English>",
"fr-ca": "<generated title in French>"
},
"metadata": {},
"items": []
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}Get conversation
Retrieves a single conversation with its complete history of messages and function calls, sorted chronologically.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the app.
The unique identifier of the conversation.
Response
OK
Unique identifier for the conversation.
Unix timestamp (in seconds) of when the conversation was created.
The object type. Always 'conversation'.
The external user identifier associated with this conversation, if one was provided at creation.
The custom title set for this conversation, if any.
AI-generated conversation title in supported locales. Keys are locale codes (e.g. 'en-ca', 'fr-ca').
Show child attributes
Show child attributes
{ "en-ca": "<generated title in English>", "fr-ca": "<generated title in French>" }
The latest metadata snapshot associated with this conversation, if any has been provided.
The list of messages in the conversation.
Show child attributes
Show child attributes

